## org.apache.lucene.analysis
Class TeeSinkTokenFilter.SinkFilter

    java.lang.Object
      org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter

Enclosing class:
  TeeSinkTokenFilter

    public abstract static class TeeSinkTokenFilter.SinkFilter

extends Object

A filter that decides which `AttributeSource` states to store in the sink.

Constructor Summary
`TeeSinkTokenFilter.SinkFilter()`

Method Summary
`abstract boolean` `accept(AttributeSource source)` Returns true, iff the current state of the passed-in `AttributeSource` shall be stored in the sink.
`void` `reset()` Called by `TeeSinkTokenFilter.SinkTokenStream.reset()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TeeSinkTokenFilter.SinkFilter

    public TeeSinkTokenFilter.SinkFilter()

Method Detail

### accept

    public abstract boolean accept(AttributeSource source)

  Returns true, iff the current state of the passed-in `AttributeSource` shall be stored in the sink.

### reset

    public void reset()
               throws IOException

  Called by `TeeSinkTokenFilter.SinkTokenStream.reset()`. This method does nothing by default and can optionally be overridden.

  Throws:
    `IOException`